use std::mem;

pub fn run() {
    let mut numbers: [i32;5] = [1,2,3,4,5];

    // reassign value
    numbers[2] = 20;

    println!("{:?}", numbers);

    // Get single value
    println!("Single value: {}", numbers[0]);

    // Get array length
    println!("Array length: {}", numbers.len());

    // Arrays are stack allocated
    println!("Array occupies {} bytes", mem::size_of_val(&numbers));

    // Slice
    let slice: &[i32] = &numbers[1..3];
    println!("Slice {:?}", slice);
}