pub fn run() {
    // Unmutable String type
    let _hello0 = "Hello";
    
    // Mutable String
    let mut hello = String::from("Hello ");

    // Get length
    println!("Length: {}", hello.len());

    // Push Char
    hello.push('W');

    // Push String
    hello.push_str("orld!");

    // Capacity in bytes
    println!("Capacity: {}", hello.capacity());

    println!("Is Empty: {}", hello.is_empty());

    println!("Contains 'World' {}", hello.contains("World"));

    println!("Replace {}", hello.replace("World", "There"));

    for word in hello.split_whitespace() {
        println!("{}",word);
    }

    // Create string with capacity
    let mut s = String::with_capacity(10);
    s.push('a');
    s.push('b');

    // Assertion testing
    assert_eq!(2,s.len());
    assert_eq!(10,s.capacity());

    println!("{}", hello);
}